For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeveloper ForumLogin
  • Overview
    • Introduction
    • Getting Started
    • Integration Example (PSA)
    • Authentication
    • Error Handling
    • Pagination
    • Filtering
    • Ordering
    • Rate Limits
    • Permissions
    • Webhooks
    • MCP Server
    • Versioning
    • Changelog
    • Support
  • API v1 Reference
    • Projects Overview
      • GETReturns a list of time bookings.
      • POSTCreates a new time booking for a given project and user.
      • PUTUpdates a given time booking.
      • DELDeletes a time booking by id.
      • GETReturns a list of time bookings.
      • POSTCreates a new time booking for a given project and user.
      • PUTUpdates a given time booking.
      • DELDeletes a time booking by id.
      • GETReturns the time bookings in a specified time range for a list of users.
      • GETReturns the time bookings in a specified time range for a list of users.
    • Tasks Overview
    • Time Tracking Overview
    • Documents Overview
    • Search Overview
    • Companies Overview
    • Users Overview
    • Files & Images Overview
    • Custom Fields Overview
    • Workload & Planning Overview
    • Project Templates Overview
    • Workflows Overview
    • Login & Access Overview
    • API Management Overview
LogoLogo
SupportDeveloper ForumLogin
API v1 ReferenceTime Bookings

Creates a new time booking for a given project and user.

POST
https://api.awork.com/api/v1/projecttimebookings
POST
/api/v1/projecttimebookings
$curl -X POST https://api.awork.com/api/v1/projecttimebookings \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "id": "123e4567-e89b-12d3-a456-426614174000",
3 "createdOn": "2022-03-11T15:33:47.100Z",
4 "createdBy": "123e4567-e89b-12d3-a456-426614174000",
5 "updatedOn": "2022-03-11T21:15:00.100Z",
6 "updatedBy": "123e4567-e89b-12d3-a456-426614174000",
7 "userId": "123e4567-e89b-12d3-a456-426614174000",
8 "projectId": "123e4567-e89b-12d3-a456-426614174000",
9 "startDate": "2024-05-15",
10 "endDate": "2024-05-18",
11 "duration": 1,
12 "description": "Blocker for a new project",
13 "laneOrder": 1,
14 "isAnonymized": true
15}
<Check title="Required Permissions" icon="key">Any authenticated user.</Check>
Was this page helpful?
Previous

Updates a given time booking.

Next
Built with
Required Permissions
Any authenticated user.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

The model to create the time booking.
userIdstringOptionalformat: "uuid"
The id of the user this time booking is for.
projectIdstring or nullOptionalformat: "uuid"

(optional) The id of the project this time booking is for.

startDatestringOptionalformat: "date"
The start date of this time booking.
endDatestringOptionalformat: "date"
The end date and time of this time booking.
durationintegerOptional

The duration (in seconds) of this time booking.

descriptionstring or nullOptional

The optional name/description for this time booking.

laneOrderintegerOptional

The order in which this object should be shown in the timeline (row number). This value is used by the awork web app.

Response

OK
idstringformat: "uuid"
The id of the entity.
createdOnstringformat: "date-time"
The date this entity was created.
createdBystringformat: "uuid"
The id of the user who created this entity.
updatedOnstringformat: "date-time"
The date this entity was last modified.
updatedBystringformat: "uuid"
The id of the user who last modified this entity.
userIdstringformat: "uuid"
The id of the user this time booking is for.
projectIdstring or nullformat: "uuid"

(optional) The id of the project this time booking is for.

startDatestringformat: "date"
The start date of the time booking.
endDatestringformat: "date"
The end date of the time booking.
durationinteger
The planned duration, expressed in seconds, of this time booking.
descriptionstring or null
The optional description for this time booking.
laneOrderinteger

The order in which this object should be shown in the timeline (row number). Used by the awork web app.

isAnonymizedboolean or null
This will be true if the user doesn't have access to the project. In that case the description will be shadowed.

Errors

400
Bad Request Error
401
Unauthorized Error